<?php

use Growmatik\Authorization\REST_Token_Verifier;

add_action( 'rest_api_init', 'growmatik_register_api_routes' );

function growmatik_register_api_routes() {
	$token_verifier_callback = array( new REST_Token_Verifier(), 'verify_token' );
	$growmatik_base_route    = 'growmatik/v1';

	register_rest_route(
		$growmatik_base_route,
		'sync/users',
		array(
			'methods'             => 'GET',
			'callback'            => array( new Growmatik\Controller\User_Controller(), 'index' ),
			'permission_callback' => $token_verifier_callback,
		)
	);

	register_rest_route(
		$growmatik_base_route,
		'sync/pages',
		array(
			'methods'             => 'GET',
			'callback'            => array( new Growmatik\Controller\Page_Controller(), 'index' ),
			'permission_callback' => $token_verifier_callback,
		)
	);

	register_rest_route(
		$growmatik_base_route,
		'sync/posts',
		array(
			'methods'             => 'GET',
			'callback'            => array( new Growmatik\Controller\Post_Controller(), 'index' ),
			'permission_callback' => $token_verifier_callback,
		)
	);

	register_rest_route(
		$growmatik_base_route,
		'sync/terms',
		array(
			'methods'             => 'GET',
			'callback'            => array( new Growmatik\Controller\Terms_Controller(), 'index' ),
			'permission_callback' => $token_verifier_callback,
		)
	);

	register_rest_route(
		$growmatik_base_route,
		'sync/status',
		array(
			'methods'             => 'POST',
			'callback'            => array( new Growmatik\Controller\Status_Controller(), 'status' ),
			'permission_callback' => $token_verifier_callback,
		)
	);

	register_rest_route(
		$growmatik_base_route,
		'sync/extra',
		array(
			'methods'             => 'POST',
			'callback'            => array( new Growmatik\Controller\Extra_Data_Controller(), 'index' ),
			'permission_callback' => $token_verifier_callback,
		)
	);
}
